"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.getCacheDir = void 0;
const fs_1 = __importDefault(require("fs"));
const path_1 = __importDefault(require("path"));
function getCacheDir(rootDirPath) {
    try {
        const { version } = JSON.parse(fs_1.default.readFileSync(path_1.default.resolve(__dirname, "..", "..", "package.json"), "utf8"));
        return path_1.default.resolve(rootDirPath, "node_modules", ".previewjs", `v${version}`);
    }
    catch (e) {
        throw new Error(`Unable to detect @previewjs/core version.`);
    }
}
exports.getCacheDir = getCacheDir;
