/// <reference types="node" />
import { PreviewConfig } from "@previewjs/config";
import { Reader } from "@previewjs/vfs";
import express from "express";
import { Server } from "http";
import * as vite from "vite";
import { FrameworkPlugin } from "../plugins/framework";
export declare class ViteManager {
    private readonly options;
    readonly middleware: express.RequestHandler;
    private viteServer?;
    private lastPingTimestamp;
    constructor(options: {
        reader: Reader;
        rootDirPath: string;
        shadowHtmlFilePath: string;
        cacheDir: string;
        config: PreviewConfig;
        logLevel: vite.UserConfig["logLevel"];
        frameworkPlugin: FrameworkPlugin;
    });
    start(server: Server, port: number): Promise<void>;
    stop(): Promise<void>;
    getConfig(): PreviewConfig;
    getLastPingTimestamp(): number;
    triggerReload(absoluteFilePath: string): void;
    renderIndexHtml(originalUrl: string): Promise<string>;
}
